Skip to main content
GET
/
v1
/
ramp
/
wallet_address
List Address Book
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address \
  --header 'x-auth-token: <api-key>'
{
  "code": 200,
  "message": "Success",
  "data": {
    "data": [
      {
        "account_id": "9276ffba-7b6c-4d1d-b4e9-b4c8fc435160",
        "address_id": "72612f65-6026-4cd0-b184-6c48f4850590",
        "address_type": 2000,
        "address_label": "My USDT Wallet",
        "network": "ETH",
        "currency": "USDT",
        "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
        "create_time": "2026-01-16 14:30:00",
        "address_status": 1,
        "is_owner": 0,
        "receiver_name": "John Doe",
        "verification_status": 1,
        "message": "<string>"
      }
    ],
    "total_pages": 123,
    "total_items": 123
  }
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_num
integer
default:1

Page number, default 1

Required range: x >= 1
page_size
integer
default:10

Items per page, default 10

Required range: x >= 1
currency
string

Filter by currency

network
string

Filter by network

address_type
enum<integer>

Filter by address type (1000=Exchange, 2000=Personal)

Available options:
1000,
2000
address_status
integer

Filter by address status

verification_status
enum<integer>

Filter by verification status (1=Verified, 2=Failed)

Available options:
1,
2
wallet_address
string

Filter by wallet address

address_label
string

Filter by address label

Response

Successfully retrieved address book list

code
integer
required
Example:

200

message
string
required
Example:

"Success"

data
object
required